Skip to main content
PUT
/
workspace
/
{ws_id}
/
playbooks
/
{id}
/
edit
Edit playbook metadata
curl --request PUT \
  --url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/edit \
  --header 'BLINK-API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "analyst_copilot_workflow": true,
  "custom_timeout": 123,
  "desc": "<string>",
  "icon": "<string>",
  "is_request": true,
  "max_concurrency_level": 123,
  "name": "<string>",
  "notification_emails": "<string>",
  "playbook_to_run_on_error": "<string>",
  "preferred_engine_version": "<string>",
  "runner": "<string>",
  "step_transition_limit": 123,
  "tags": [
    "<string>"
  ]
}
'
{
  "active": true,
  "analyst_copilot_workflow": true,
  "custom_timeout": 123,
  "desc": "<string>",
  "icon": "<string>",
  "is_request": true,
  "max_concurrency_level": 123,
  "name": "<string>",
  "notification_emails": "<string>",
  "playbook_to_run_on_error": "<string>",
  "preferred_engine_version": "<string>",
  "runner": "<string>",
  "step_transition_limit": 123,
  "tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Path Parameters

ws_id
string
required

Workspace ID

id
string
required

The ID of the playbook to edit

Body

application/json

Fields to update on the playbook (name, description, tags, runner)

active
boolean
analyst_copilot_workflow
boolean
custom_timeout
integer
desc
string
icon
string
is_request
boolean
max_concurrency_level
integer
name
string
notification_emails
string
playbook_to_run_on_error
string
preferred_engine_version
string

The preferred workflow engine version

runner
string
step_transition_limit
integer
tags
string[]

Response

Updated playbook metadata

active
boolean
analyst_copilot_workflow
boolean
custom_timeout
integer
desc
string
icon
string
is_request
boolean
max_concurrency_level
integer
name
string
notification_emails
string
playbook_to_run_on_error
string
preferred_engine_version
string

The preferred workflow engine version

runner
string
step_transition_limit
integer
tags
string[]